<?
/**
 * VoiceOne frontend constants file
 *
 * Define constants for: Technology, Entities, Groups, Options, Actions, Webuser, Rules ,Ruleactions, States
 * @package voiceone
 * @subpackage globals
 */
 
//Technology: list of available technologies (see cw_technology table)
DEFINE("SIP",     1); 
DEFINE("IAX2",    2); 
DEFINE("MISDN",   3); 
DEFINE("SRX",     4); 
DEFINE("ZAP",     5); 

//Entity: type of entries
DEFINE("EXTENSION",         1);
DEFINE("PROVIDER",          2);
DEFINE("IAX_OFFICE",        4);
DEFINE("PHONENUMBER",       6);
DEFINE("QUEUE",             7);
DEFINE("MISDN_GROUP",       8);
DEFINE("MACRO",             9);
DEFINE("APPLICATION",       10);
DEFINE("CHANNEL",           11);
DEFINE("ZAPATA_GROUP",      12);

//Groups
DEFINE("GROUP_OF_ALL",          1);
DEFINE("GROUP_OF_EXTENSION",    2);
DEFINE("GROUP_OF_OFFICE",       3);
DEFINE("GROUP_OF_RESOURCE",     4);
DEFINE("GROUP_OF_PHONENUMBER",  5);
DEFINE("GROUP_OF_APPLICATION",  6);

//Options
DEFINE("OPTION_ISDN",        "isdn");
DEFINE("OPTION_ISDN_GROUPS", "isdn_general");
DEFINE("OPTION_LAN",         "lan");
DEFINE("OPTION_SIP",         "sip");
DEFINE("OPTION_IAX",         "iax");
DEFINE("OPTION_EXTENSION_GENERAL",         "dialplan_general");
DEFINE("OPTION_EXTENSION_GLOBALS",         "dialplan_globals");
DEFINE("OPTION_ZAPATA",        "zapata");
DEFINE("OPTION_ZAPATA_GROUPS", "zapata_general");

//Action
DEFINE("ACTION_GROUP",        1);
DEFINE("ACTION_QUEUE",        2);
DEFINE("ACTION_IVR",          3);
DEFINE("ACTION_FAX",          4);

//Web User
DEFINE("USER_STANDARD",       1);
DEFINE("USER_CONFIGURATOR",   2);
DEFINE("USER_SUPERUSER",      3);

//Rules
DEFINE("RULE_OUTGOING",       1);
DEFINE("RULE_INCOMING",       2);

//Rules Action
DEFINE("RULE_ALLOW",          1);
DEFINE("RULE_DENY",           2);

//States for options (used but not limited to pluginsystem) need to use alphanumeric value to avoid conflicts with id's etc.
DEFINE("STATE_AVAILABLE",     'avail');
DEFINE("STATE_SELECTED",      'sel');
DEFINE("STATE_AUTOSELECTED",  'asel');
DEFINE("STATE_UNAVAILABLE",   'unavail');

// State for messages (used but not limited to pluginsystem)
DEFINE("GOOD",                1);
DEFINE("BAD",                 2);

?>